petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSPseudoTimeStepDefault

Default code to compute pseudo-timestepping. Use with TSPseudoSetTimeStep().

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoTimeStepDefault(TS ts,PetscReal *newdt,void *dtctx)

Collective on TS

### Input Parameters

ts -the timestep context
dtctx -unused timestep context

### Output Parameter

newdt -the timestep to use for the next step

### Keywords

timestep, pseudo, default

### See Also

TSPseudoSetTimeStep(), TSPseudoComputeTimeStep()

Level:advanced
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html